Generation Framework

## org.eclipse.gmf.mappings
Interface LabelMapping

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  DesignLabelMapping, ExpressionLabelMapping, FeatureLabelMapping

All Known Implementing Classes:
  DesignLabelMappingImpl, ExpressionLabelMappingImpl, FeatureLabelMappingImpl, LabelMappingImpl

    public interface LabelMapping

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Label Mapping'. Label definition; text is taken from the graph model; no editing support; user may contribute custom parser

The following features are supported:

- `Diagram Label`
- `Read Only`
- `Map Entry`

See Also:
  `GMFMapPackage.getLabelMapping()`
** Generated **
Model:

Method Summary
`DiagramLabel` `getDiagramLabel()` Returns the value of the 'Diagram Label' reference
`MappingEntry` `getMapEntry()` Returns the value of the 'Map Entry' container reference.
`boolean` `isReadOnly()` Returns the value of the 'Read Only' attribute
`void` `setDiagramLabel(DiagramLabel value)` Sets the value of the '`Diagram Label`' reference
`void` `setReadOnly(boolean value)` Sets the value of the '`Read Only`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiagramLabel

    DiagramLabel getDiagramLabel()

  Returns the value of the 'Diagram Label' reference.

  If the meaning of the 'Diagram Label' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Label' reference.
  See Also:
    `setDiagramLabel(DiagramLabel)`, `GMFMapPackage.getLabelMapping_DiagramLabel()`
  ** Generated **
  Model:
    required="true"

### setDiagramLabel

    void setDiagramLabel(DiagramLabel value)

  Sets the value of the '`Diagram Label`' reference.

  Parameters:
    `value` - the new value of the 'Diagram Label' reference.
  See Also:
    `getDiagramLabel()`
  ** Generated **

### isReadOnly

    boolean isReadOnly()

  Returns the value of the 'Read Only' attribute.

  If the meaning of the 'Read Only' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Read Only' attribute.
  See Also:
    `setReadOnly(boolean)`, `GMFMapPackage.getLabelMapping_ReadOnly()`
  ** Generated **
  Model:

### setReadOnly

    void setReadOnly(boolean value)

  Sets the value of the '`Read Only`' attribute.

  Parameters:
    `value` - the new value of the 'Read Only' attribute.
  See Also:
    `isReadOnly()`
  ** Generated **

### getMapEntry

    MappingEntry getMapEntry()

  Returns the value of the 'Map Entry' container reference. It is bidirectional and its opposite is '`Label Mappings`'.

  If the meaning of the 'Map Entry' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Map Entry' container reference.
  See Also:
    `GMFMapPackage.getLabelMapping_MapEntry()`, `MappingEntry.getLabelMappings()`
  ** Generated **
  Model:
    opposite="labelMappings" resolveProxies="false" required="true" transient="false" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.